import datetime
import json

import requests
import simplejson


def main():
    account_id = 23212
    day_delta = 10
    video_cnt = 2
    start_date = (datetime.datetime.now() + datetime.timedelta(days=-day_delta)).strftime("%Y-%m-%d %H:%M:%S")
    end_date = datetime.datetime.now().strftime("%Y-%m-%d %H:%M:%S")
    # url = "http://192.168.1.8:8080/jeecg-boot/kuaishou/Ai/getNewVideoList"
    url = "http://192.168.1.8:8080/jeecg-boot/kuaishou/material/getHistoryVideoList"
    video_request_data = {'accountId': account_id, 'startDate': start_date, 'endDate': end_date, 'num': video_cnt,
                          'createCount': 10}
    print(json.JSONEncoder().encode(video_request_data))
    # 定义请求header
    HEADERS = {'Content-Type': 'application/json'}
    request = requests.post(url, headers=HEADERS, data=json.JSONEncoder().encode(video_request_data))

    res_data = simplejson.loads(request.text)
    if res_data["code"] != 0:
        return "没有视频信息"

    request_dict = {"video": res_data['data'],
                    'operation_type': 1,
                    "account_id": 23212,
                    'ai_strategy_remark': "打捞历史素材",
                    "campaign_info": {
                        "campaign_id": "",
                        "campaign_name": '广告计划名称-' + str(datetime.datetime.now()),
                        # "campaign_name": '广告计划名称Test',
                        "campaign_type": 2

                    },
                    'group_info': {'cpa_bid': 22000,
                                   'unit_name': '户14-上下滑&信息流-剪辑-低价-低价包邮-活动-年龄18岁以上-单出价' +\
                                                '-' + str(datetime.datetime.now()),
                                   'begin_time': str(datetime.date.today())},
                    'creative_info': {'creative_name': '自定义创意',
                                      'creative_category': 20101,
                                      'creative_tag': ['起量', '搞笑'],
                                      'action_bar_text': '一键下载',
                                      'description': '不买亏大了！众多商品低至一元！看看你多花了多少冤枉钱！'}}

    add_request_data = json.dumps(request_dict)
    url = 'http://127.0.0.1:31012/ai_strategy_request'
    request = requests.post(url, add_request_data)
    print(request.text)
    res_data = simplejson.loads(request.text)
    print(res_data)


if __name__ == '__main__':
    print(main())
